Bug 1462375 - <Choose> found as option in drop down service dialogs
<Choose> found as option in drop down service dialogs
Status: POST
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.7.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: eclarizi
Dave Johnson
dialog
: TestOnly, ZStream
Depends On:
Blocks: 1472806 1478435
  Show dependency treegraph
 
Reported: 2017-06-16 18:47 EDT by Jeffrey Cutter
Modified: 2017-08-04 10:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1472806 1478435 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)
Service Dialog Drop Down Configuration (37.80 KB, image/png)
2017-06-16 18:50 EDT, Jeffrey Cutter
no flags Details
Dialog Before Upgrade (10.88 KB, image/png)
2017-06-16 18:51 EDT, Jeffrey Cutter
no flags Details
Dialog After Upgrade (12.52 KB, image/png)
2017-06-16 18:51 EDT, Jeffrey Cutter
no flags Details

  None (edit)
Description Jeffrey Cutter 2017-06-16 18:47:48 EDT
Description of problem:

After upgrading from 5.7.1.3.20170221135006_818f133 to 5.7.2.1.20170406142927_0a1ad0e, <Choose> now appears in drop down dialogs in improper locations based on sort.

Version-Release number of selected component (if applicable):

5.7.2.1.20170406142927_0a1ad0e

How reproducible:

Always

Actual results:

<Choose> in list out of order.

Expected results:

No <Choose> in list.

Additional info:

See pictures.
Comment 2 Jeffrey Cutter 2017-06-16 18:50 EDT
Created attachment 1288478 [details]
Service Dialog Drop Down Configuration
Comment 3 Jeffrey Cutter 2017-06-16 18:51 EDT
Created attachment 1288479 [details]
Dialog Before Upgrade
Comment 4 Jeffrey Cutter 2017-06-16 18:51 EDT
Created attachment 1288480 [details]
Dialog After Upgrade
Comment 6 CFME Bot 2017-07-03 14:06:45 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/b42c1104ce93bce68e3c4fbb4ce8642e6b1c53eb

commit b42c1104ce93bce68e3c4fbb4ce8642e6b1c53eb
Author:     Erik Clarizio <eclarizi@redhat.com>
AuthorDate: Tue Jun 27 08:09:30 2017 -0700
Commit:     Erik Clarizio <eclarizi@redhat.com>
CommitDate: Mon Jul 3 08:55:22 2017 -0700

    Add restrictions on when to add a 'nil' option for sorted item fields
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1462375

 app/models/dialog_field_radio_button.rb      |  2 +-
 app/models/dialog_field_sorted_item.rb       | 23 ++++++--
 spec/models/dialog_field_sorted_item_spec.rb | 81 ++++++++++++++++++----------
 3 files changed, 73 insertions(+), 33 deletions(-)

Note You need to log in before you can comment on or make changes to this bug.